/*--------------------------------------------------------------------------------------------------------

# COOKIE-CONSENT

--------------------------------------------------------------------------------------------------------*/

.sv-cookie-consent-modal .env-switch__slider,
.sv-cookie-consent-banner .env-switch__slider {
   box-sizing: content-box;
   box-shadow: 0 2px 6px 0 rgb(0 0 0 / 25%);
}


.sv-marketplace-sitevision-cookie-consent .env-button,
.sv-cookie-consent-modal form > .env-button,
.sv-cookie-consent-banner form > .env-button {
   border-color: var(--env-element-secondary-font-color);
	background: var(--env-element-secondary-font-color);
   color: var(--env-element-secondary-background-color);
}

.sv-marketplace-sitevision-cookie-consent .env-button:not(.env-button--ghost):hover,
.sv-cookie-consent-modal .env-button:not(.env-button--ghost):hover,
.sv-cookie-consent-banner .env-button:not(.env-button--ghost):hover {
	background-color: var(--env-element-primary-background-color);  
   border-color: var(--env-element-primary-background-color);
   color: var(--env-element-primary-font-color);
}

.sv-marketplace-sitevision-cookie-consent .env-button.env-button--ghost,
.sv-cookie-consent-modal div > .env-button.env-button--ghost,
.sv-cookie-consent-banner div > .env-button.env-button--ghost {
   background: var(--env-element-secondary-background-color);
   border-color: var(--env-element-secondary-font-color);
   color: var(--env-element-secondary-font-color);
}

.sv-marketplace-sitevision-cookie-consent .env-button.env-button--ghost:hover,
.sv-cookie-consent-modal div > .env-button.env-button--ghost:hover,
.sv-cookie-consent-banner div > .env-button.env-button--ghost:hover {
	background: var(--env-element-secondary-font-color);
   border-color: var(--env-element-secondary-font-color);
   color: var(--env-element-secondary-background-color);
}


.sv-cookie-consent-banner .env-button:focus {
    background-color: var(--env-element-primary-background-color) !important;
    border-color: var(--env-element-primary-background-color) !important;
    color: var(--env-element-primary-font-color) !important;
}


/*------------------------------------------------------------------------------------------------------

# COOKIETABLE

------------------------------------------------------------------------------------------------------*/

.sap-cookie-table {
}


/*------------------------------------------------------------------------------------------------------

# COOKIEBANNER

------------------------------------------------------------------------------------------------------*/

.sv-cookie-consent-banner {
   background-color: var(--env-element-secondary-background-color)!important;
   color: var(--env-element-secondary-font-color);
   top: auto!important;
   bottom: 0;
   position: fixed!important;
   padding: 4rem 0;
   
}


@media (min-width: 1025px) {
   .sv-cookie-consent-banner > div {
      max-width: 1280px;
      padding-left: 14rem;
      background-image: url('/images/18.62ed80c6182e992cf384dce/1663751164761/sap-icon-cookie--white.svg');
      background-size: 7.5rem;
      background-position: left 2rem center;
      background-repeat: no-repeat;
   }
}

@media (min-width: 768px) and (max-width: 1024px) {
   .sv-cookie-consent-banner > div {
      padding-left: 8rem;
      background-image: url('/images/18.62ed80c6182e992cf384dce/1663751164761/sap-icon-cookie--white.svg');
      background-size: 4rem;
      background-position: left 1rem center;
      background-repeat: no-repeat;
   }
}

/*		Vit text		*/
.sv-cookie-consent-banner .env-link,
.sv-cookie-consent-banner .env-text-h4,
.sv-cookie-consent-banner .env-ui-text-subheading,
.sv-cookie-consent-banner .env-d--flex .env-text {
  color: var(--env-element-secondary-font-color);
}
.sv-cookie-consent-banner .env-text {
	color: var(--env-element-secondary-font-color);
}


/*		Mörk text */
.sv-cookie-consent-banner form .env-text {
   color: color: var(--env-element-secondary-font-color) !important;
}

.sv-cookie-consent-banner h2.env-text-h4,
.sv-cookie-consent-banner .env-ui-text-subheading {
   font-weight: 900;
   font-size: 1.75rem;
}

/*		Margin fix		*/
.sv-cookie-consent-banner .env-text,
.sv-cookie-consent-banner .env-text-h4,
.sv-cookie-consent-banner .env-ui-text-subheading {
   padding:  0 0 1rem;
}

.sv-cookie-consent-banner .env-link {
   text-decoration: underline;
}

.sv-cookie-consent-banner div > button.env-button {
   border-color: color: var(--env-element-secondary-font-color);
   color: color: var(--env-element-secondary-font-color);
}


/*------------------------------------------------------------------------------------------------------

# COOKIEMODAL

------------------------------------------------------------------------------------------------------*/

.sv-cookie-consent-modal header {
   padding: 1rem !important;
   background-color: color: var(--env-element-secondary-font-color) !important;
}

.sv-cookie-consent-modal .env-modal-dialog__footer {
   background-color: color: var(--env-element-secondary-font-color) !important;
}


.sv-cookie-consent-modal .env-switch [type=checkbox] {
   background-color: var(--env-block-secondary-background-color);
}

.sv-cookie-consent-modal button[type="submit"] {
    border-color: var(--env-element-secondary-font-color);
    color: var(--env-element-secondary-font-color);
    background-color: var(--env-element-primary-background-color);
}


/*		Margin fix		*/
.sv-cookie-consent-modal .env-text,
.sv-cookie-consent-modal .env-text-h4 {
   padding:  0 0 1rem;
}

.sv-cookie-consent-modal .env-link {
   color: color: var(--env-element-secondary-font-color) !important;
   text-decoration: underline;
}

/* theme fix */
.sv-theme-tro-och-solidaritet .sv-cookie-consent-banner .env-ui-text-subheading {
   font-family: montserrat;
}
.sv-theme-s-kvinnor footer .sv-marketplace-sitevision-cookie-consent button[aria-haspopup="dialog"] {
   color: var(--env-block-link-font-color);
}
.sv-theme-s-kvinnor footer .sv-marketplace-sitevision-cookie-consent button[aria-haspopup="dialog"]:hover {
   text-decoration: underline;
}


/*** Footer link ***/
footer .sv-marketplace-sitevision-cookie-consent button[aria-haspopup="dialog"] {
   padding: 0;
   font-weight: 400 !important;
   font-style: normal;
   font-size: 1rem !important;
   line-height: 1.6 !important;
   background-color: transparent !important;
   border-color: transparent !important;
}

footer .sv-marketplace-sitevision-cookie-consent button[aria-haspopup="dialog"]:hover,
footer .sv-marketplace-sitevision-cookie-consent button[aria-haspopup="dialog"]:focus {
   background-color: transparent !important;
   border-color: transparent !important;
   color: var(--env-block-link-hover-font-color) !important;
}

